Bug 65433 - up2date cannot connect to RHNetwork
up2date cannot connect to RHNetwork
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-23 18:31 EDT by Vibol Hou
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-17 16:15:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vibol Hou 2002-05-23 18:31:08 EDT
Dave (RHN Team) suggested I escalate this report.

Description of Problem:
up2date cannot connect to RHNetwork

Version-Release number of selected component (if applicable):

RH 7.2:
redhat-release-7.2-1
up2date-2.7.61-7.x.2

RH 7.1:
redhat-release-7.1-1
up2date-2.7.11-7.x.1

How Reproducible:
Always (across 7 colocated servers)

Steps to Reproduce:
1. up2date -l
2. connection times out

Actual Results:
Connection times out

Expected Results:
Package list retrieved and displayed

Additional Information:

Servers are not behind a firewall (direct megabit connection to the Internet)

Configurations:

RH 7.2:

0.  storageDir         /var/spool/up2date
1.  networkSetup       Yes
2.  headerCacheSize    40
3.  httpProxy
4.  debug              No
5.  useGPG             Yes
6.  networkRetries     5
7.  removeSkipList     ['kernel*']
8.  retrieveOnly       No
9.  keepAfterInstall   No
10. enableProxy        No
11. gpgKeyRing         /etc/sysconfig/rhn/up2date-keyring.gpg
12. proxyUser
13. proxyPassword
14. headerFetchCount   10
15. versionOverride
16. useNoSSLForPackage No
17. enableProxyAuth    No
18. noSSLServerURL     http://www.rhns.redhat.com/XMLRPC
19. noReplaceConfig    Yes
20. sslCACert          /usr/share/rhn/RHNS-CA-CERT
21. noBootLoader       No
22. systemIdPath       /etc/sysconfig/rhn/systemid
23. serverURL          https://www.rhns.redhat.com/XMLRPC
24. pkgSkipList        []
25. adminAddress       ['root@localhost']
26. forceInstall       No
27. fileSkipList       []
28. retrieveSource     No

RH 7.1:

0.  storageDir         /var/spool/up2date
1.  networkSetup       Yes
2.  headerCacheSize    40
3.  httpProxy
4.  debug              No
5.  useGPG             Yes
6.  networkRetries     5
7.  removeSkipList     ['kernel*']
8.  retrieveOnly       No
9.  keepAfterInstall   No
10. enableProxy        No
11. proxyUser
12. proxyPassword
13. headerFetchCount   10
14. versionOverride
15. useNoSSLForPackage Yes
16. enableProxyAuth    No
17. noSSLServerURL     http://www.rhns.redhat.com/XMLRPC
18. noReplaceConfig    Yes
19. noBootLoader       No
20. systemIdPath       /etc/sysconfig/rhn/systemid
21. serverURL          https://www.rhns.redhat.com/XMLRPC
22. pkgSkipList        []
23. adminAddress       ['root@localhost']
24. forceInstall       No
25. fileSkipList       []
26. retrieveSource     No

Running 'up2date -l -v' stalls indefinately without any output on both
servers.  Occasionally, it reaches the 'Retrieiving list of all available
packages...' line, but continues to stall.

I ran an strace on 'up2date -l -v' and output stops just after the following
block:

send(5, "a\325\1\0\0\1\0\0\0\0\0\0\3www\4rhns\6redhat\3com"..., 37, 0) = 37
gettimeofday({1022190215, 334283}, NULL) = 0
poll([{fd=5, events=POLLIN, revents=POLLIN}], 1, 5000) = 1
recvfrom(5, "a\325\201\200\0\1\0\7\0\3\0\0\3www\4rhns\6redhat\3com"...,
1024, 0, {sin_family=AF_INET, sin_port=htons(53),
sin_addr=inet_addr("127.0.0.1")}}, [16]) = 212
close(5)                                = 0
connect(4, {sin_family=AF_INET, sin_port=htons(443),
sin_addr=inet_addr("216.148.218.170")}}, 16

It just sits there for minutes and then adds the following to the last line:

 = -1 ETIMEDOUT (Connection timed out)

/var/log/up2date shows this:

[Thu May 23 17:43:32 2002] up2date A socket error occurred: (110,
'Connection timed out'), attempt #1

On the other hand, when I do 'lynx https://www.rhns.redhat.com/XMLRPC', it will 
connect just fine and give me a 'Method Not Allowed' error.  This was done to 
verify that I could connect to port 443 from the servers.
Comment 1 Todd Warner 2002-09-17 16:15:21 EDT
Adrian,

Any comment on this one? Probably anomalous, but...
Comment 2 Josef Komenda 2002-11-12 15:29:17 EST
Six months old, prolly regional connectivity issue, closing.

Note You need to log in before you can comment on or make changes to this bug.